<?php
session_start();
require_once './config/config.php';
require_once 'includes/auth_validate.php';

//Get DB instance. function is defined in config.php
$db = getDbInstance();

//Get Dashboard information
$numCustomers = $db->getValue ("customers", "count(*)");

$cols = Array ("link");
$stats = $db->getOne ("redirect",  $cols);


$q = $_GET['q'];
$link = $_POST['link'];
if ($_POST){
$data = Array (
	'link' => $link
);

$db->where ('id', 1);
if($db->update ('redirect', $data)){
    header('Location: index.php?q=success');
}

}

include_once('includes/header.php');
?>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Anasayfa</h1>
        </div>
        <!-- /.col-lg-12 -->
    </div>
    <!-- /.row -->
    <?php if ($q == "success"){ ?>
    <div class="alert alert-success alert-dismissable">
   		<a href="#" class="close" data-dismiss="alert" aria-label="close">×</a>
    		Link Başarıyla Değiştirildi.
        </div>
    <?php } ?> 
    <form class="well form-horizontal" action="" method="post" >
    <div class="form-group">
    <label class="col-md-4 control-label">Yönlendirilecek Url</label>
    <div class="col-md-4 inputGroupContainer">
        <div class="input-group">
            <span class="input-group-addon"><i class="glyphicon glyphicon-link"></i></span>
            <input type="link" name="link" placeholder="Link" class="form-control" required="" value="<?php foreach ($stats as $stat) echo $stat;?>" autocomplete="off">
        </div>
        
    </div>
    
</div>
<div class="form-group">
    <label class="col-md-4 control-label"></label>
    <div class="col-md-4">
        <button type="submit" class="btn btn-warning">Kaydet <i class="glyphicon glyphicon-send"></i></button>
    </div>
</div>

	</form>




</div>
<!-- /#page-wrapper -->

<?php include_once('includes/footer.php'); ?>
