jQuery(document).ready(function($) {
    'use strict';

    $(function () {
        $('a[href*="#"]:not([href="#"])').click(function () {
            if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
                var target = $(this.hash);
                target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
                if (target.length) {
                    $('html, body').animate({
                        scrollTop: target.offset().top - 100
                    }, 1000);
                    return false;
                }
            }
        });
    });

//sticky header
    $(window).on('scroll', function () {
        var windowTop = $(window).scrollTop();
        windowTop > 100 ? $('header').addClass('sticky') : $('header').removeClass('sticky');
    });

// responsive header

    $('.responsviemenu-btn').on('click', function () {
        $('.responsive-menu').addClass('slidein');
        return false;
    });
    $('.close-btn').on('click', function () {
        $('.responsive-menu').removeClass('slidein');
        return false;
    });

    $('.responsive-menu li.menu-item-has-children > a').on('click', function () {
        $(this).next("ul").slideToggle();
        return false;
    });

// responsive sticky header
    $(window).on('scroll', function () {
        var windowTop = $(window).scrollTop();
        windowTop > 50 ? $('#responsive-header').addClass('sticky') : $('#responsive-header').removeClass('sticky');
    });


// scroll bar

    if ($.isFunction($.fn.perfectScrollbar)) {
        $('.responsive-menu').perfectScrollbar();
    }

//top scroll

//Check to see if the window is top if not then display button
    $(window).on('scroll', function () {
        if ($(this).scrollTop() > 2000) {
            $('#top-page').fadeIn();
        } else {
            $('#top-page').fadeOut();
        }
    });

    //Click event to scroll to top
    $('#top-page').on('click', function () {
        $('html, body').animate({scrollTop: 0}, 800);
        return false;

    });

});

/*========== Document Ready Function Ends Here ==========*/

$(window).on('load', function() {
		// Animate loader off screen
		$(".holder").fadeOut("slow");
	});

